﻿using Hotline.FlowEngine.Notifications;
using MediatR;
using Hotline.EventBus;
using Microsoft.Extensions.Logging;

namespace Hotline.Application.Handlers.Order
{
    [HandlerInject(AppScopes = EAppScope.LuZhou | EAppScope.YiBin)]
    public class OrderDelayWorkflowEndHandler : INotificationHandler<EndWorkflowNotify>
    {
        private readonly ILogger<OrderDelayWorkflowEndHandler> _logger;

        public OrderDelayWorkflowEndHandler(ILogger<OrderDelayWorkflowEndHandler> logger)
        {
            _logger = logger;
        }

        /// <summary>Handles a notification</summary>
        /// <param name="notification">The notification</param>
        /// <param name="cancellationToken">Cancellation token</param>
        public async Task Handle(EndWorkflowNotify notification, CancellationToken cancellationToken)
        {
            try
            {
                throw new NotImplementedException();
            }
            catch (Exception e)
            {
                _logger.LogError(e.Message);
                throw;
            }
        }
    }
}
